mdigest_be.h File Reference
`#include <gwenhywfar/mdigest.h>`
`#include <gwenhywfar/inherit.h>`

Go to the source code of this file.

## Typedefs

typedef int(* | GWEN_MDIGEST_BEGIN_FN) (GWEN_MDIGEST *md)
typedef int(* | GWEN_MDIGEST_END_FN) (GWEN_MDIGEST *md)
typedef int(* | GWEN_MDIGEST_UPDATE_FN) (GWEN_MDIGEST *md, const uint8_t *buf, unsigned int l)

## Functions

GWENHYWFAR_API GWEN_MDIGEST * | GWEN_MDigest_new (GWEN_CRYPT_HASHALGOID a)
GWENHYWFAR_API GWEN_MDIGEST_BEGIN_FN | GWEN_MDigest_SetBeginFn (GWEN_MDIGEST *md, GWEN_MDIGEST_BEGIN_FN f)
GWENHYWFAR_API void | GWEN_MDigest_SetDigestBuffer (GWEN_MDIGEST *md, uint8_t *buf, unsigned int l)
GWENHYWFAR_API void | GWEN_MDigest_SetDigestLen (GWEN_MDIGEST *md, unsigned int l)
GWENHYWFAR_API GWEN_MDIGEST_END_FN | GWEN_MDigest_SetEndFn (GWEN_MDIGEST *md, GWEN_MDIGEST_END_FN f)
GWENHYWFAR_API GWEN_MDIGEST_UPDATE_FN | GWEN_MDigest_SetUpdateFn (GWEN_MDIGEST *md, GWEN_MDIGEST_UPDATE_FN f)

## Typedef Documentation

## GWEN_MDIGEST_BEGIN_FN

typedef int(* GWEN_MDIGEST_BEGIN_FN) (GWEN_MDIGEST *md)

Definition at line 24 of file mdigest_be.h.

## GWEN_MDIGEST_END_FN

typedef int(* GWEN_MDIGEST_END_FN) (GWEN_MDIGEST *md)

Definition at line 25 of file mdigest_be.h.

## GWEN_MDIGEST_UPDATE_FN

typedef int(* GWEN_MDIGEST_UPDATE_FN) (GWEN_MDIGEST *md, const uint8_t *buf, unsigned int l)

Definition at line 26 of file mdigest_be.h.

## Function Documentation

## GWEN_MDigest_new()

GWENHYWFAR_API GWEN_MDIGEST * GWEN_MDigest_new | ( | GWEN_CRYPT_HASHALGOID | a | ) |

References GWEN_CRYPT_HASHALGOID, GWEN_MDigest_new(), and GWENHYWFAR_API.

Referenced by GWEN_MDigest_new().

## GWEN_MDigest_SetBeginFn()

GWENHYWFAR_API GWEN_MDIGEST_BEGIN_FN GWEN_MDigest_SetBeginFn | ( | GWEN_MDIGEST * | md,
|  | GWEN_MDIGEST_BEGIN_FN | f )

References GWEN_MDigest_SetBeginFn(), and GWENHYWFAR_API.

Referenced by GWEN_MDigest_SetBeginFn().

## GWEN_MDigest_SetDigestBuffer()

GWENHYWFAR_API void GWEN_MDigest_SetDigestBuffer | ( | GWEN_MDIGEST * | md,
|  | uint8_t * | buf,
|  | unsigned int | l )

This function takes over the given buffer

References GWEN_MDigest_SetDigestBuffer(), and GWENHYWFAR_API.

Referenced by GWEN_MDigest_SetDigestBuffer().

## GWEN_MDigest_SetDigestLen()

GWENHYWFAR_API void GWEN_MDigest_SetDigestLen | ( | GWEN_MDIGEST * | md,
|  | unsigned int | l )

References GWEN_MDigest_SetDigestLen().

Referenced by GWEN_MDigest_SetDigestLen().

## GWEN_MDigest_SetEndFn()

GWENHYWFAR_API GWEN_MDIGEST_END_FN GWEN_MDigest_SetEndFn | ( | GWEN_MDIGEST * | md,
|  | GWEN_MDIGEST_END_FN | f )

References GWEN_MDigest_SetEndFn(), and GWENHYWFAR_API.

Referenced by GWEN_MDigest_SetEndFn().

## GWEN_MDigest_SetUpdateFn()

GWENHYWFAR_API GWEN_MDIGEST_UPDATE_FN GWEN_MDigest_SetUpdateFn | ( | GWEN_MDIGEST * | md,
|  | GWEN_MDIGEST_UPDATE_FN | f )

References GWEN_MDigest_SetUpdateFn(), and GWENHYWFAR_API.

Referenced by GWEN_MDigest_SetUpdateFn().